---
title: XRPose.emulatedPosition
slug: Web/API/XRPose/emulatedPosition
tags:
  - API
  - AR
  - Orientation
  - Position
  - Property
  - Read-only
  - Reality
  - Reference
  - VR
  - Viewpoint
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRPose
  - augmented
  - emulatedPosition
  - offset
  - pose
  - tracking
---
<div>{{APIRef}}{{draft}}</div>

<p><span class="seoSummary">The <code>emulatedPosition</code> read-only attribute of the {{DOMxRef("XRPose")}} interface is a Boolean value indicating whether or not both the {{domxref("XRRigidTransform.position", "position")}} component of the pose's {{domxref("XRPose.transform", "transform")}} is directly taken from the XR device, or it's simulated or computed based on other sources.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>emulated</em> = <em>xrPose</em>.emulatedPosition;</pre>

<h3 id="Value">Value</h3>

<p>A Boolean which is <code>true</code> if the pose's position is computed based on estimates or is derived from sources other than direct sensor data. If the position is precisely gbased on direct sensor inputs, the value is <code>false</code>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>There are two basic categories of XR tracking systems. A basic XR headset provides three degrees of freedom (3DoF), tracking the pitch, yaw, and roll of the user's head. No information is available about movement forward, backward, or to the sides. Any such data is taken from other sources, such as keyboard or mouse inputs or game controllers. As such, the position is considered to be emulated, so the <code>emulatedPosition</code> property is <code>true</code>.</p>

<p>Contrariwise, XR devices which can also track movement forward and backward as well as laterally—six degree of freedom (6DoF) devices—don't require any information from other sources to determine the user's position, so the value of <code>emulatedPosition</code> is <code>false</code>.</p>

<p>The same notion applies not just to the user's head, but to any object. A hand controller that can directly report its position would have a value of <code>false</code> for this property as well. If its position is computed as an offset from another object (such as by basing it off the model representing the user's body), then this value is <code>true</code>.</p>

<p>This information is important because devices whose position is emulated are prone to their offset drifting relative to the real world space over time. This is because emulating a position based on accelerometer inputs and models tends to introduce minor errors which accumulate over time.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrpose-emulatedposition","XRPose.emulatedPosition")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRPose.emulatedPosition")}}</div>
